HOSTAP on linux 2.6

Jouni Malinen jkmaline at cc.hut.fi
Tue Feb 13 22:30:11 EST 2007


On Thu, Jan 18, 2007 at 12:08:04PM -0500, thomas chen wrote:

> can someone enlighten me on which version of hostap driver works with 
> which version of linux 2.6.x ??

0.4.9 should be used with all Linux versions up to and including 2.6.13.
The version included in the kernel tree should be used for all Linux
versions starting from 2.6.14.

> i tried hostap 0.4.7 and 0.4.9, and neither seem to work for 2.6.13

I would assume that I tested 0.4.9 with 2.6.13, but I cannot remember
anymore. Could you please be more specific on what you mean by it not
working?

> 0.4.7 does work for 2.6.19 is very different (bunch of stuff in 
> net/ieee80211 which was non-existence in 2.6.13 kernel)...

I wouldn't event expect Host AP driver 0.4.7 to build for Linux 2.6.19..

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list